Create an invoice
sender_data and the end_user_reference you provide must be associated with the same customer.Headers
Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.
Body
Permanent ID of the customer in your system. Used to group, track, and analyze transactions made by a specific customer. Must not contain personal data, such as the user's name or email address.
If this parameter is set to true, the invoice will expire in 15 minutes after it is created.
Invoice title that the customer will see.
1 - 50This invoice's unique ID in your system.
Currency you want to receive deposits in. For a list of all available currencies, see API currency codes.
Invoice amount that you want to receive from the customer.
The URL the customer will be redirected to in case of a successful invoice payment.
The URL the customer will be redirected to in case of an unsuccessful invoice payment.
If the amount the customer pays does not match the amount you set for the invoice, Cryptoprocessing will send an email to this address instructing the customer on how they can receive a refund. If they paid less, they will receive a full refund. If they paid more, the customer will get instructions on how to be refunded the difference.
Type of the merchant's customer who sends the funds.
Use natural if the sender is an individual person and legal if the sender is a legal entity. The selected type determines which fields must be included in sender_data.
natural, legal Must contain the details of the merchant's customer who sends the funds.
- If
sender_typeisnatural, includefirst_name,last_name, anddate_of_birth. Do not includelegal_nameorcountry_of_registration. - If
sender_typeislegal, includelegal_nameandcountry_of_registration. Do not includefirst_name,last_name, ordate_of_birth.
For partial pay invoices, set this parameter to good_until_expired. For standard invoices, use fill_or_kill or leave this parameter empty.
fill_or_kill, good_until_expired Invoice description that the customer will see.
1000Currency the customer will pay in. If provided together with timer: true, the invoice is created with a fixed payment currency.
Response
Created